Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlComplexeEntity Class Reference

Virtual class used by GlNode, GlMetaNode and GlEdge. More...

`#include <GlComplexeEntity.h>`

Inheritance diagram for tlp::GlComplexeEntity:
[legend]
Collaboration diagram for tlp::GlComplexeEntity:
[legend]

List of all members.

## Public Member Functions

- virtual BoundingBox getBoundingBox (GlGraphInputData *data)=0
- virtual void draw (float lod, GlGraphInputData *data, Camera *camera)=0
- virtual void drawLabel (OcclusionTest *test, GlGraphInputData *data)=0

## Detailed Description

Virtual class used by GlNode, GlMetaNode and GlEdge.

This class is a virtual class used by GlNode, GlMetaNode and GlEdge Define draw function for entities who need GlGraphInputData variable Define drawLabel function

## Member Function Documentation

virtual void tlp::GlComplexeEntity::draw | ( | float | lod,
|  | GlGraphInputData * | data,
|  | Camera * | camera
| ) |  | `[pure virtual]`

Draw this entity with GlGraphInputData and Camera

virtual void tlp::GlComplexeEntity::drawLabel | ( | OcclusionTest * | test,
|  | GlGraphInputData * | data
| ) |  | `[pure virtual]`

Draw label of this entity

virtual BoundingBox tlp::GlComplexeEntity::getBoundingBox | ( | GlGraphInputData * | data | ) | `[pure virtual]`

return the bounding box of this entity

Tulip Software by LaBRI Visualization Team 2001 - 2012